<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <xsl:include href="Utils.xsl"/>
	<xsl:template match="/OMA">
		<DataArea onLoad="true" exportdata="false" validate="true">			
                        
                        <BottomCustomButton>
                                      <Data display="{$strGenerate}" formSubmit="true" href="javascript:submitCreateSSC()" id="submitbuttoncontent"/> 
                        </BottomCustomButton>
                        <BottomCustomButton>
		               <Data formSubmit="true">
				        <xsl:attribute name="display"><xsl:value-of select="$strPrevPage"/></xsl:attribute>
				         <xsl:attribute name="href">./DataArea?plugin=com.dell.sm.webplugins.CertificateClientSettingsWebPlugin</xsl:attribute>
		              </Data>
		           </BottomCustomButton>


			<PageTitle>
				<xsl:attribute name="display"><xsl:value-of select="$strTitle"/></xsl:attribute>
			</PageTitle>
			<script language="javascript">
				
				
				function initializationRoutine()
				{
					         var RadioArray=document.getElementsByName("CommanName");
                                        RadioArray[0].checked = true; 
                                        document.getElementById("CustomNameTextBox").disabled=true;
                                        document.getElementById("CustomNameTextBox").value="";
						
				}
			
			</script>
	<TableData type="custom">
			            <Header>
				               	<Data noborderright="true"></Data><Data noborderright="true"></Data><Data noborderright="true"></Data><Data noborderright="true"></Data><Data></Data>
                        </Header>
					
						<Row>
							                            <Data><xsl:attribute name="value"><xsl:value-of select="$strCommanName"/></xsl:attribute></Data>
							
                                                        <Data name="CommanName" type="radio" event="onclick" handler="OnCommanNameSelected()" state="0" colspan="4">
                                                                <xsl:attribute name="value"><xsl:value-of select="$strServiceTag"/></xsl:attribute>
                                                                <xsl:attribute name="returnvalue">0</xsl:attribute>
                                                        </Data>
                                                      
						</Row>	
						<Row>
						      <Data></Data>
						      <Data name="CommanName" type="radio" event="onclick" handler="OnCommanNameSelected()" state="0" colspan="4">
                                        <xsl:attribute name="value"><xsl:value-of select="$strDNSName"/></xsl:attribute>
                                        <xsl:attribute name="returnvalue">1</xsl:attribute>
          	                  </Data>
                              
						</Row>
						<Row>
						      <Data></Data>
						      <Data name="CommanName" type="radio" event="onclick" handler="OnCommanNameSelected()" state="0" noborderright="true">
                                         <xsl:attribute name="value"><xsl:value-of select="$strCustomName"/></xsl:attribute>
                                         <xsl:attribute name="returnvalue">2</xsl:attribute>
          	                  </Data> 
                              <Data name="CustomNameTextBox" editable="true" type="editbox" align="left" size="20" colspan="3"><xsl:attribute name="returnvalue"/></Data>
						</Row>
						<Row>
							<Data align="left"><xsl:attribute name="value"><xsl:value-of select="$strOrganizationName"/></xsl:attribute></Data>
							<Data name="OrganizationName" editable="true" type="editbox" align="left" size="20" colspan="4">								
								<xsl:attribute name="value"><xsl:value-of select="//OrganizationName"/></xsl:attribute>
							</Data>
							
						</Row>	
						<Row>
							<Data align="left"><xsl:attribute name="value"><xsl:value-of select="$strOrganizationUnit"/></xsl:attribute></Data>
							<Data name="OrganizationUnit" editable="true" type="editbox" align="left" size="20" colspan="4">
								<xsl:attribute name="value"><xsl:value-of select="//OrganizationUnit"/></xsl:attribute>
							</Data>
							
						</Row>
						<Row>
							<Data align="left"><xsl:attribute name="value"><xsl:value-of select="$strLocality"/></xsl:attribute></Data>
							<Data name="Locality" editable="true" type="editbox" align="left" size="20" colspan="4">
								<xsl:attribute name="value"><xsl:value-of select="//Locality"/></xsl:attribute>
							</Data>
							
						</Row>	
						<Row>
							<Data align="left"><xsl:attribute name="value"><xsl:value-of select="$strStateName"/></xsl:attribute></Data>
							<Data name="StateName" editable="true" type="editbox" align="left" size="20" colspan="4">
								<xsl:attribute name="value"><xsl:value-of select="//StateName"/></xsl:attribute>
							</Data>
							
						</Row>	
						 <Row>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="$strCountry"/></xsl:attribute>
							</Data>	
							<Data name="country" editable="true" type="select" align="left" size="10" boxwidth="width:160px" colspan="4">
								<xsl:call-template name="showcountry">
									<xsl:with-param name="country"><xsl:value-of select="@value"/></xsl:with-param>
								</xsl:call-template> 
							</Data>
							

						</Row>
                                                <Row>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="$strEmailID"/></xsl:attribute>
							</Data>	
							<Data name="EmailID"  value="" editable="true" type="editbox" align="left" size="45" colspan="4">
								<xsl:attribute name="value"><xsl:value-of select="//EmailID"/></xsl:attribute>
							</Data>
							
						</Row>
						
					</TableData>
			
				
			
			<script language="javascript">
				var keysize ; 
				var validity ;	
                                 function submitCreateSSC()
                                 {
                                   if(validate()==false)
                                   {
                                      return;
                                   }
                                   else
                                   {                                   
                                      document.dataarea.action = top.gnv.appendVID("./SubmitForm?plugin=com.dell.sm.webplugins.CreateSelfSignedCertificateWebPlugin&amp;help=cntk");
				      document.dataarea.submit();
                                   }
                                   
                                 }
				 function OnCommanNameSelected()
                                 {  
                                    
                                    
					var RadioArray=document.getElementsByName("CommanName");
					for(var i=0; i&lt;RadioArray.length; i++)
					{ 
						if(RadioArray[i].checked == true &amp;&amp; RadioArray[i].value == 2)
						{
							
                                                   document.getElementById("CustomNameTextBox").disabled=false;
                                                   document.getElementById("CustomNameTextBox").value="";
						}
                                                else
                                                {
                                                    document.getElementById("CustomNameTextBox").disabled=true;
                                                    document.getElementById("CustomNameTextBox").value="";
                                                }
					}
					
                                        
                                          
                                   
		                }
		               
                        function TestforSpace(ExpressionArray)
                        {
                              var spacetest = /^[\s]$/;  
                              var length= ExpressionArray.length;
             
                             for ( var i =0; i&lt;length ; i++)
                             {
                                       if(spacetest.test(ExpressionArray.charAt(i))) 
                                       {  
                                         return false;
                                       }                
                              }
                              return true;
                        }
                   
				function isAlphaNumeric(text, varname)
				{
					var validValue = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-.";
					var ok = "yes";
					var temp;
					
					//Eliminate the spaces at the end
					while(''+text.charAt(text.length-1)==' '){
						text = text.substring(0,text.length-1);
					}
					
					for (var i=0; i&lt;text.length; i++){
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == "-1"){
							if(temp != " "){
								ok = "no";
							}
						}
					}
					if (ok == "no"){
						
						return false;
					}
					return true;
				}
                                
                                
                                function validateEmail() 
                                {
                                   var reg = /^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,4})$/;
                                   var address = document.dataarea.EmailID.value;
                                   if(reg.test(address) == false) 
                                   {
                                        alert("<xsl:value-of select="$strInvalidEmailID"/>");
                                        return false;
                                   }
                                   return true;
                                }
                                
                                
                                
                                
                                
				function validate()
				{
					
					 
				     if ((document.dataarea.CustomNameTextBox.value == "" || !isAlphaNumeric(document.dataarea.CustomNameTextBox.value) ||!TestforSpace(document.dataarea.CustomNameTextBox.value)) &amp;&amp; document.getElementById("CustomNameTextBox").disabled==false)
                             {  
                                 if(document.dataarea.CustomNameTextBox.value=="")
                                   {
                                     alert("<xsl:value-of select="$strCustomNameTextBoxError"/>");
                                   }
                                   else
                                   {                     
						 alert("<xsl:value-of select="$strCustomNameTextBoxError1"/>");
                                   }
						document.dataarea.CustomNameTextBox.focus();
                                                return false;
					}
   				     else if(document.dataarea.OrganizationName.value== "" || !isAlphaNumeric(document.dataarea.OrganizationName.value) || !TestforSpace(document.dataarea.OrganizationName.value))
                             {      if(document.dataarea.OrganizationName.value=="")
                                   {
                                     alert("<xsl:value-of select="$strOrganizationNameError"/>");
                                   }
                                   else
                                   {                                                               
						alert("<xsl:value-of select="$strOrganizationNameError1"/>");
                                    }
						document.dataarea.OrganizationName.focus();
                                                return false;
					}
					else if(document.dataarea.OrganizationUnit.value== "" || !isAlphaNumeric(document.dataarea.OrganizationUnit.value) || !TestforSpace(document.dataarea.OrganizationUnit.value))
                              {
                                   if(document.dataarea.OrganizationUnit.value == "")
                                   {
                                     alert("<xsl:value-of select="$strOrganizationUnitError"/>");
                                   }
                                   else
                                   {                                                               
						  alert("<xsl:value-of select="$strOrganizationUnitError1"/>");
                                    }
						document.dataarea.OrganizationUnit.focus();
                                                return false;
					}
					else if(document.dataarea.Locality.value=="" ||!isAlphaNumeric(document.dataarea.Locality.value)  || !TestforSpace(document.dataarea.Locality.value))
                              {
                                    if(document.dataarea.Locality.value== "")
                                    {
                                      alert("<xsl:value-of select="$strLocalityError"/>");
                                    }
                                    else
                                    {                                                               
						   alert("<xsl:value-of select="$strLocalityError1"/>");
                                     }
						document.dataarea.Locality.focus();
                                                return false;
					}
                              else if(document.dataarea.StateName.value=="" ||!isAlphaNumeric(document.dataarea.StateName.value) || !TestforSpace(document.dataarea.StateName.value) )
                              {
                                    if(document.dataarea.StateName.value=="")
                                    {
                                       alert("<xsl:value-of select="$strStateNameError"/>");
                                    }
                                    else
                                    {                                                               
						     alert("<xsl:value-of select="$strStateNameError1"/>");
                                    }
						document.dataarea.StateName.focus();
                                                return false;
					}

					else if(validateEmail()==false)
                              {
						document.dataarea.EmailID.focus();
                                                return false;
					}
					
					return true;
					
                            }			
			</script>
		</DataArea>
	</xsl:template>

	
	<xsl:template name="showcountry">
		<xsl:for-each select="CountryGroup/Country">
			<xsl:sort select="." order="ascending"/>
				<Choice>
					<xsl:choose>
						<xsl:when test="@value='TK'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strTK"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='TJ'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strTJ"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='TH'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strTH"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='TG'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strTG"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='TF'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strTF"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='GY'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strGY"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='TD'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strTD"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='TC'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strTC"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='GW'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strGW"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='GU'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strGU"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='GT'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strGT"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='GS'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strGS"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='GR'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strGR"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='GQ'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strGQ"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='GP'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strGP"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='SZ'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strSZ"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='SY'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strSY"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='GN'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strGN"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='GM'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strGM"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='GL'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strGL"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='SV'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strSV"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='ST'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strST"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='GI'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strGI"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='GH'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strGH"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='SR'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strSR"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='GF'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strGF"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='GE'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strGE"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='SO'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strSO"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='GD'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strGD"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='SN'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strSN"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='GiB'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strGB"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='SM'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strSM"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='SL'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strSL"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='GA'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strGA"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='SK'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strSK"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='SJ'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strSJ"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='SI'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strSI"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='SH'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strSH"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='SG'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strSG"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='SE'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strSE"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='SD'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strSD"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='FX'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strFX"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='SC'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strSC"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='SB'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strSB"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='SA'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strSA"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='FR'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strFR"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='FO'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strFO"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='FM'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strFM"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='RW'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strRW"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='FK'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strFK"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='RU'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strRU"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='FJ'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strFJ"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='FI'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strFI"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='RO'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strRO"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='RE'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strRE"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='ET'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strET"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='ES'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strES"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='ER'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strER"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='EH'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strEH"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='EG'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strEG"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='EE'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strEE"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='EC'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strEC"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='DZ'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strDZ"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='QA'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strQA"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='DO'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strDO"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='PY'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strPY"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='DM'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strDM"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='PW'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strPW"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='DK'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strDK"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='DJ'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strDJ"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='PT'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strPT"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='PS'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strPS"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='PR'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strPR"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='DE'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strDE"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='PN'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strPN"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='PM'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strPM"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='PL'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strPL"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='PK'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strPK"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='PH'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strPH"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='PG'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strPG"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='CZ'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strCZ"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='PF'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strPF"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='PE'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strPE"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='CY'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strCY"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='CX'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strCX"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='CV'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strCV"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='PA'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strPA"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='CU'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strCU"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='CR'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strCR"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='CO'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strCO"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='CN'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strCN"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='CM'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strCM"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='CL'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strCL"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='CK'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strCK"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='CI'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strCI"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='CH'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strCH"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='CG'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strCG"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='CF'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strCF"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='CD'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strCD"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='CC'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strCC"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='OM'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strOM"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='CA'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strCA"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='BZ'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strBZ"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='BY'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strBY"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='BW'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strBW"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='BV'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strBV"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='BT'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strBT"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='BS'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strBS"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='BR'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strBR"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='NZ'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strNZ"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='BO'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strBO"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='BN'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strBN"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='BM'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strBM"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='NU'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strNU"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='BJ'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strBJ"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='BI'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strBI"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='BH'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strBH"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='NR'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strNR"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='BG'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strBG"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='BF'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strBF"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='NP'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strNP"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='BE'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strBE"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='NO'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strNO"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='BD'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strBD"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='BB'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strBB"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='ZW'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strZW"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='BA'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strBA"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='NI'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strNI"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='NG'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strNG"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='NF'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strNF"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='AZ'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strAZ"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='NE'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strNE"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='NC'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strNC"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='AW'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strAW"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='ZM'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strZM"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='NA'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strNA"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='AU'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strAU"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='AT'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strAT"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='AS'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strAS"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='AR'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strAR"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='AQ'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strAQ"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='MZ'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strMZ"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='AO'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strAO"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='AN'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strAN"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='MY'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strMY"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='AM'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strAM"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='MX'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strMX"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='AL'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strAL"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='MW'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strMW"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='MV'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strMV"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='ZA'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strZA"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='AI'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strAI"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='MT'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strMT"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='MS'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strMS"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='AG'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strAG"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='MR'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strMR"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='AF'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strAF"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='MQ'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strMQ"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='AE'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strAE"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='MP'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strMP"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='AD'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strAD"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='MO'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strMO"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='MN'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strMN"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='MM'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strMM"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='ML'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strML"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='MK'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strMK"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='YU'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strYU"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='YT'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strYT"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='MH'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strMH"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='MG'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strMG"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='MD'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strMD"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='MC'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strMC"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='MA'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strMA"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='YE'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strYE"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='LY'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strLY"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='LV'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strLV"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='LU'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strLU"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='LT'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strLT"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='LS'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strLS"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='LR'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strLR"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='LK'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strLK"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='LI'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strLI"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='LC'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strLC"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='LB'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strLB"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='LA'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strLA"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='KZ'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strKZ"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='KY'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strKY"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='KW'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strKW"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='KR'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strKR"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='KP'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strKP"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='KN'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strKN"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='KM'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strKM"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='KI'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strKI"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='WS'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strWS"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='KH'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strKH"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='KG'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strKG"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='KE'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strKE"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='WF'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strWF"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='JP'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strJP"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='JO'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strJO"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='JM'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strJM"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='VU'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strVU"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='VN'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strVN"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='VI'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strVI"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='VG'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strVG"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='VE'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strVE"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='VC'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strVC"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='VA'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strVA"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='IT'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strIT"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='IS'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strIS"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='IR'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strIR"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='IQ'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strIQ"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='UZ'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strUZ"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='IO'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strIO"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='UY'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strUY"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='IN'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strIN"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='IL'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strIL"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='US'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strUS"/></xsl:attribute>
							<xsl:attribute name="default">true</xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='IE'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strIE"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='ID'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strID"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='UM'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strUM"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='UG'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strUG"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='UA'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strUA"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='HU'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strHU"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='HT'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strHT"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='HR'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strHR"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='TZ'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strTZ"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='HN'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strHN"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='HM'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strHM"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='TW'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strTW"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='TV'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strTV"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='HK'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strHK"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='TT'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strTT"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='TR'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strTR"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='TP'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strTP"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='TO'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strTO"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='TN'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strTN"/></xsl:attribute>
						</xsl:when>
						<xsl:when test="@value='TM'">
							<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strTM"/></xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:choose>
								<xsl:when test="Generator/@status">
									<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
									<xsl:attribute name="default"><xsl:if test="@value = /OMA/Generator/@country">true</xsl:if></xsl:attribute>
								</xsl:when>	
								<xsl:otherwise>
									<xsl:attribute name="returnvalue"><xsl:value-of select="@value"/></xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
									<xsl:attribute name="default"><xsl:if test=".='UNITED STATES'">true</xsl:if></xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:otherwise>
						
					</xsl:choose>

					<xsl:if test="@value = /OMA/Generator/@country">
						<xsl:attribute name="default">true</xsl:attribute>
					</xsl:if>
				</Choice>
		</xsl:for-each>
		
		
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>



