<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
	<xsl:include href="cvdutils.xsl"/>
	<xsl:variable name="strContinue"><!--XLATESTART-->続行<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strExitWizard"><!--XLATESTART-->ウィザードの終了<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSelArray"><!--XLATESTART-->選択した物理ディスク<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strReconfigure"><!--XLATESTART-->再設定 <!--XLATESTOP--></xsl:variable>
        <xsl:variable name="strResizeEC"><!--XLATESTART-->サイズ変更 <!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strStep1"><!--XLATESTART--> （手順 1 / 3）<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strVDdisks"><!--XLATESTART-->現在の仮想ディスク設定内の物理ディスク<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strDiskAdded"><!--XLATESTART-->選択した物理ディスク数：<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strReconfigureErr"><!--XLATESTART--> 再設定エラー<!--XLATESTOP--></xsl:variable>
        <xsl:variable name="strResizeErr"><!--XLATESTART--> サイズ変更エラー<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strNoReconfig"><!--XLATESTART-->この仮想ディスクは再設定できません。考えられる理由としては次が挙げられます：<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strReason1"><!--XLATESTART-->十分な物理ディスクの容量がありません。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strReason2"><!--XLATESTART-->仮想ディスクは、現在再設定できる物理ディスクの数が、サポートできる最大数に達しました。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strReason3"><!--XLATESTART-->再設定およびサイズ変更は、現時点でサポートされていません。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strReason4"><!--XLATESTART-->無効な設定。 仮想ディスクの再設定または CacheCade のサイズ変更の詳細については、オンラインヘルプおよび Storage Controller のマニュアルを参照してください。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strMaxAllowed"><!--XLATESTART-->追加できる物理ディスクの最大数：<!--XLATESTOP--></xsl:variable>
      <xsl:variable name="strMaxAllowedSSC"><!--XLATESTART-->CacheCade に含めることができる物理ディスクの最大数：<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSubTitleVD"><!--XLATESTART-->仮想ディスクに追加する物理ディスクを選択します。 一部のコントローラでは、仮想ディスクから物理ディスクを選択解除または削除できます。 仮想ディスクの再設定方法によっては、物理ディスクを選択または選択解除する必要がない場合もあります。 詳細については、オンラインヘルプまたはユーザーマニュアルガイドの Storage Controller サポートマトリックスを参照してください。<!--XLATESTOP--></xsl:variable>
      <xsl:variable name="strSubTitleEC"><!--XLATESTART-->CacheCade に追加する物理ディスクを選択するか、CacheCade から削除する物理ディスクを選択解除します。 CacheCade のサイズを変更する際は、物理ディスクを選択または選択解除する必要がある場合もあります。詳細については、オンラインヘルプまたはユーザーマニュアルガイドの  Storage Controller サポートマトリックスを参照してください。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strAddDisk"><!--XLATESTART-->この仮想ディスクを再設定するには、最低 1 つの物理ディスクを選択する必要があります。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strExpandCapacity"><!--XLATESTART-->容量の拡張<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strExpCapNotApplicable"><!--XLATESTART-->仮想ディスク容量の拡張は、同じディスクグループ内で適用できます。追加のディスクを選択したので、[続行] ボタンをクリックして RAID 再構成操作に進んでください。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strExpandCapacityDescription"><!--XLATESTART-->この仮想ディスクでは、物理ディスクを追加することなく、同じ RAID レベルで容量を拡張することができます。この操作を実行するには、[容量の拡張] をクリックします。<!--XLATESTOP--></xsl:variable>
        <xsl:variable name="strNoOldDisk"><!--XLATESTART-->CacheCade に属するすべてのメンバー物理ディスクを選択解除したか、削除しました。 CacheCade に少なくとも 1 台の既存メンバー物理ディスクを残してください。<!--XLATESTOP--></xsl:variable>
        <xsl:variable name="strNoChange"><!--XLATESTART-->CacheCade に対して物理ディスクの追加も削除もしていません。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strUnevenDisksError"><!--XLATESTART-->この構成で使用できるのは偶数台の物理ディスクのみです。 <!--XLATESTOP--></xsl:variable>
</xsl:stylesheet>
