<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
	<xsl:include href="cvdutils.xsl"/>
	<xsl:variable name="strContinue"><!--XLATESTART-->继续<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strExitWizard"><!--XLATESTART-->退出向导<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSelArray"><!--XLATESTART-->所选物理磁盘<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strReconfigure"><!--XLATESTART-->重新配置 <!--XLATESTOP--></xsl:variable>
        <xsl:variable name="strResizeEC"><!--XLATESTART-->调整大小 <!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strStep1"><!--XLATESTART--> （第 1 步，共 3 步）<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strVDdisks"><!--XLATESTART-->当前虚拟磁盘配置中的物理磁盘<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strDiskAdded"><!--XLATESTART-->所选物理磁盘数：<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strReconfigureErr"><!--XLATESTART--> 重新配置错误<!--XLATESTOP--></xsl:variable>
        <xsl:variable name="strResizeErr"><!--XLATESTART--> 调整大小错误<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strNoReconfig"><!--XLATESTART-->该虚拟磁盘无法重新配置。可能的原因有：<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strReason1"><!--XLATESTART-->没有足够的物理磁盘空间。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strReason2"><!--XLATESTART-->虚拟磁盘已达到目前所支持的可以重新配置的最大物理磁盘数。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strReason3"><!--XLATESTART-->目前不支持重新配置或调整大小。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strReason4"><!--XLATESTART-->配置无效。 有关重新配置虚拟磁盘或调整 CacheCade 大小的信息，请参阅联机帮助和存储控制器说明文件。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strMaxAllowed"><!--XLATESTART-->可以添加的最大物理磁盘数：<!--XLATESTOP--></xsl:variable>
      <xsl:variable name="strMaxAllowedSSC"><!--XLATESTART-->CacheCade 可以包含的最大物理磁盘数是：<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSubTitleVD"><!--XLATESTART-->选择要添加到虚拟磁盘的物理磁盘。 在有些控制器上，可以从虚拟磁盘取消选择或删除物理磁盘。 根据虚拟磁盘重新配置的方式，可能不需要选择或取消选择物理磁盘。 有关详情，请参阅联机帮助或用户手册指南中的存储控制器支持值表。<!--XLATESTOP--></xsl:variable>
      <xsl:variable name="strSubTitleEC"><!--XLATESTART-->选择要添加到 CacheCade 的物理磁盘或取消选择要从 CacheCade 删除的物理磁盘。 如果要调整 CacheCade 的大小，可能需要选择或取消选择物理磁盘。 有关详情，请参阅联机帮助或用户手册指南中的存储控制器支持值表。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strAddDisk"><!--XLATESTART-->要重新配置这个虚拟磁盘，您必须选择至少 1 个物理磁盘。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strExpandCapacity"><!--XLATESTART-->扩展容量<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strExpCapNotApplicable"><!--XLATESTART-->虚拟磁盘容量扩展在同一磁盘组内适用。由于您已选择附加磁盘，单击“继续”按钮以继续执行 RAID 重新配置操作。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strExpandCapacityDescription"><!--XLATESTART-->对于此虚拟磁盘，不必增加物理磁盘就可以将容量扩展到同一 RAID 级别。单击“扩展容量”执行此操作。<!--XLATESTOP--></xsl:variable>
        <xsl:variable name="strNoOldDisk"><!--XLATESTART-->您已从 CacheCade 取消选择或删除所有成员物理磁盘。 在 CacheCade 中保留至少一个旧成员物理磁盘。<!--XLATESTOP--></xsl:variable>
        <xsl:variable name="strNoChange"><!--XLATESTART-->您尚未从 CacheCade 添加或删除任何物理磁盘。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strUnevenDisksError"><!--XLATESTART-->此配置中只允许使用偶数个物理磁盘。 <!--XLATESTOP--></xsl:variable>
</xsl:stylesheet>
